//*******************************************************
//*       Kiltron's Station Bay 4.12 Shader - madm09  
//*******************************************************
textures/madm09/skybox_madm09
{
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
        q3map_lightimage textures/skies/stars.tga
	q3map_sun	1 1 1 100 -58 58
	q3map_surfacelight 400

        skyparms env/space1 - -


}

textures/madm09/kilt_tek_boarder5
{
	qer_editorimage textures/madm09/kilt_tek_boarder5.tga

        {
		map textures/madm09/kilt_hologirl_blue.tga
                tcmod scale 2 .4
                tcmod scroll 6 .6
                //tcMod turb 0 .1 0 .01
                blendFunc GL_ONE GL_ZERO
                rgbGen identity
	}
	{
		map textures/madm09/kilt_tek_boarder5.tga
                blendfunc blend
                rgbGen identity
	}
        {
		map $lightmap
		rgbGen identity
		blendFunc filter
	}

}

textures/madm09/kilt_spc1
{
        
	qer_editorimage textures/madm09/kilt_spc1.tga
        q3map_surfacelight 100
	
	

	{
		animMap .25 textures/madm09/kilt_spc1.tga textures/madm09/gamespy.tga textures/madm09/generations_logo.tga textures/madm09/psyonisector.tga textures/madm09/madm09.tga
		rgbGen wave sawtooth 0 1 0 .25
	
	}

	{
		map textures/base_wall/comp3textd.tga
		blendfunc add
		rgbGen wave inversesawtooth 0 1 0 .25
		tcmod scroll 5 .25 
	}

	{
		map textures/base_wall/chrome_env.tga
		tcgen environment
		tcmod scale .5 .5
		blendfunc add
		rgbgen wave triangle .5 .05 0 10
	}

	{
		map textures/madm09/kilt_conc_tek02.tga
		blendfunc blend
		rgbgen identity
	}

	{
		map $lightmap
	        blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	          		
}  

textures/mamd09/kilt_conc_tek01
{
	qer_editorimage textures/madm09/kilt_conc_tek01.tga

        {
		map textures/madm09/kilt_hologirl_blue.tga
                tcmod scale 2 .4
                tcmod scroll 6 .6
                //tcMod turb 0 .1 0 .01
                blendFunc GL_ONE GL_ZERO
                rgbGen identity
	}
	{
		map textures/madm09/kilt_conc_tek01.tga
                blendfunc blend
                rgbGen identity
	}
        {
		map $lightmap
		rgbGen identity
		blendFunc filter
	}

}

textures/madm09/kilt_conc_tekdoor_glass
{
     cull none
     surfaceparm alphashadow

        {
		map textures/effects/tinfx2.tga
                blendFunc GL_ONE GL_ONE
                tcgen environment
                rgbGen identity
	}
	{
		map textures/madm09/kilt_conc_tekdoor_glass.tga
                alphaFunc GE128
                depthWrite
		//rgbGen vertex
                //blendfunc blend	
	}
        {
		map $lightmap
		rgbGen identity
		blendFunc filter
	}

}

textures/madm09/flare
{
         deformVertexes autoSprite
         surfaceparm trans
         surfaceparm nomarks
         surfaceparm nolightmap
         surfaceparm nonsolid
         cull none
         
         {
                 map textures/madm09/flare.tga
                 blendFunc GL_ONE GL_ONE
         }
}

textures/madm09/flarewhite
{
         deformVertexes autoSprite
         surfaceparm trans
         surfaceparm nomarks
         surfaceparm nolightmap
         surfaceparm nonsolid
         cull none
         
         {
                 map textures/madm09/flarewhite.tga
                 blendFunc GL_ONE GL_ONE
         }
}

textures/madm09/kilt_pentboard01
{
	q3map_surfacelight 300
	q3map_lightimage textures/madm09/kilt_pentboard01_sfx.tga
	qer_editorimage textures/madm09/kilt_pentboard01.tga
	
	{
		map textures/madm09/kilt_pentboard01.tga
		rgbGen identity
	}
	
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}

	{
		map textures/madm09/kilt_pentboard01_sfx.tga
		blendfunc gl_one gl_one
		rgbgen wave sin .5 .5 0 0.5
	}


}

textures/madm09/kilt_tek7_marbface
{
	q3map_surfacelight 0000
        qer_editorimage textures/madm09/kilt_tek7_marbface.tga
	
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/madm09/kilt_tek7_marbface.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/madm09/kilt_tek7_marbface_sfx.tga
		rgbGen wave sin 0.5 0.5 1 1
		blendfunc GL_ONE GL_ONE
	}
}

textures/madm09/kilt_tek_shackle
{
	qer_editorimage textures/madm09/kilt_tek_shackle.tga

        {
		map textures/madm09/kilt_hologirl_blue.tga
                tcmod scale 2 .4
                tcmod scroll 6 .6
                //tcMod turb 0 .1 0 .01
                blendFunc GL_ONE GL_ZERO
                rgbGen identity
	}
	{
		map textures/madm09/kilt_tek_shackle.tga
                blendfunc blend
                rgbGen identity
	}
        {
		map $lightmap
		rgbGen identity
		blendFunc filter
	}

}

textures/madm09/kilt_tek3
{
	qer_editorimage textures/madm09/kilt_tek3.tga

        {
		map textures/madm09/kilt_hologirl_blue.tga
                tcmod scale 2 .4
                tcmod scroll 6 .6
                //tcMod turb 0 .1 0 .01
                blendFunc GL_ONE GL_ZERO
                rgbGen identity
	}
	{
		map textures/madm09/kilt_tek3.tga
                blendfunc blend
                rgbGen identity
	}
        {
		map $lightmap
		rgbGen identity
		blendFunc filter
	}

}

textures/madm09/concrete_dark_boken_alpha
{
	q3map_surfacelight 0000
        qer_editorimage textures/madm09/concrete_dark_boken_alpha.tga
	
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/madm09/concrete_dark_boken_alpha.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/madm09/concrete_dark_boken_fx.tga
		rgbGen wave sin 0.5 0.5 1 1
		blendfunc GL_ONE GL_ONE
	}
}